cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bryan Higgins (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-3497) ./bin/create script requires `npm install` to be run
Date Tue, 04 Jun 2013 21:01:20 GMT

    [ https://issues.apache.org/jira/browse/CB-3497?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13675236#comment-13675236
] 

Bryan Higgins commented on CB-3497:
-----------------------------------

Only usr/bin for the current NDK version. For example:

/Applications/bbndk/host_127_0_1_425/darwin/x86/usr/bin

The current check_req script goes beyond that and makes sure the QNX_HOST and QNX_TARGET environment
variables are setup. Those are only necessary for building C++.

https://github.com/apache/cordova-blackberry/blob/master/blackberry10/bin/check_reqs.js#L30-L31

                
> ./bin/create script requires `npm install` to be run
> ----------------------------------------------------
>
>                 Key: CB-3497
>                 URL: https://issues.apache.org/jira/browse/CB-3497
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: BlackBerry
>    Affects Versions: 2.8.0
>            Reporter: Filip Maj
>            Assignee: Bryan Higgins
>             Fix For: 2.8.0
>
>
> Tsted with latest 2.8.x branch.
> The create script should bootstrap itself as appropriate. Right now, you need to run
npm install before you can run create.
> This is an issue for tools consuming the script (i.e. cordova-cli).

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message